<?php

/*
 * 포인트순위 플러그인
 */
if (!defined('_GNUBOARD_')) {
    exit;
}

function plugin_point_chart() {
    global $g5;
    $cfg = get_plugin_config('point_chart'); //플러그인 환경설정
    if (!$cfg) {
        //echo "플러그인 환경설정을 하세요!";
        return false;
    }
    //플러그인 미사용 중지
    if ($cfg['pc_use'] == 0) {
        return false;
    }

    $sql = "select mb_id, mb_nick, mb_point from {$g5['member_table']} order by mb_point desc limit {$cfg['pc_rows']} ";
    $res = sql_query($sql);
    $list = array();
    for ($i = 0, $no = 1; $rows = sql_fetch_array($res); $i++, $no++) {
        $list[] = $rows;
    }
    include_once G5_PLUGIN_PATH . '/asktheme/plugin/point_chart/point_chart.skin.php';
}
